Package Details: itk-snap 3.6.0-3

Git Clone URL: https://aur.archlinux.org/itk-snap.git (read-only)
Package Base: itk-snap
Description: ITK-SNAP is a software application used to segment structures in 3D medical images
Upstream URL: http://www.itksnap.org
Licenses: GPL3
Submitter: m-pilia
Maintainer: m-pilia
Last Packager: m-pilia
Votes: 0
Popularity: 0.000000
First Submitted: 2018-04-27 06:42
Last Updated: 2018-11-26 09:08

Latest Comments

m-pilia commented on 2019-03-13 20:35

Hi astewartau, it seems your binary is linked to the old version of the shared library. Have you re-built ITK-snap after updating VTK?

astewartau commented on 2019-03-13 05:38

Looks like something has changed in relation to VTK or NETCDF, as I am getting this error on attempting to launch itksnap:

/usr/lib/snap-3.6.0/ITK-SNAP: error while loading shared libraries: libvtknetcdfcpp.so.1: cannot open shared object file: No such file or directory

m-pilia commented on 2018-11-26 09:08

Thanks @astewartau, good catch, I have added it to the PKGBUILD.

astewartau commented on 2018-11-26 00:45

Thanks for that, @m-pilia. I tried installing it today after uninstalling the dependencies (so they were correctly connected to the package), but itk-snap still was not compiling. I think it is because some of the packages need to be listed as make dependencies in the PKGBUILD.

EDIT: It seems the only one missing from makedeps is openmpi

m-pilia commented on 2018-10-31 13:23

I updated the package, I think some new deps were required after the new version of VTK, while a couple of missing packages were probably my fault (qt5-declarative and glew). However, I don't think garcon and postgresql should be required to build or run the application.

m-pilia commented on 2018-10-31 12:28

@asterwartau: Thanks for reporting, those are optional dependencies of vtk and they weren't required to build this package, but probably something has changed in the meanwhile. I will check this as soon as I have time to rebuild ITK.

astewartau commented on 2018-10-31 11:29

To compile itk-snap, I had to install the following dependencies:

garcon gdal glew netcdf openmpi postgresql proj qt5-declarative unixodbc

Perhaps this package should be updated to list these as dependencies?